Page MenuHomePhabricator

Add Wikidata to new RC Filters UI
Closed, ResolvedPublic

Description

Change it to use the new structure and put "Wikidata edits" in "Type of change".

T158025: Support ORES for propagated Wikidata edits is a real blocker/subtask, since otherwise we need an additional conflict state. (we are going to do the conflict state for now)

Event Timeline

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptMar 7 2017, 2:45 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 342294 had a related patch set uploaded (by Catrope):
[mediawiki/extensions/Wikibase] [WIP] Port Wikidata filter to new RCFilters system

https://gerrit.wikimedia.org/r/342294

Catrope added a subscriber: Catrope.

Change 342294 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Port Wikidata filter to new RCFilters system

https://gerrit.wikimedia.org/r/342294

Change 344268 had a related patch set uploaded (by Mattflaschen; owner: Catrope):
[mediawiki/extensions/Wikibase@wmf/1.29.0-wmf.17] Port Wikidata filter to new RCFilters system

https://gerrit.wikimedia.org/r/344268

Lydia_Pintscher moved this task from incoming to monitoring on the Wikidata board.Mar 23 2017, 2:29 PM

Change 344268 abandoned by Catrope:
Port Wikidata filter to new RCFilters system

https://gerrit.wikimedia.org/r/344268

Change 344268 restored by Catrope:
Port Wikidata filter to new RCFilters system

https://gerrit.wikimedia.org/r/344268

Change 344268 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@wmf/1.29.0-wmf.17] Port Wikidata filter to new RCFilters system

https://gerrit.wikimedia.org/r/344268

jmatazzoni triaged this task as High priority.Mar 30 2017, 5:58 PM
Etonkovidova added a subscriber: Etonkovidova.EditedApr 10 2017, 7:33 PM

@Mattflaschen-WMF Trying 'Wikidata' and 'Unregistered' filters selection show wikidata registered users ; 'Wikidata' and 'Registered' return no results - filed as T162628: 'Wikidata edits' filter does not recognize registered wikidata users

'Wikidata edits' with Experience level filters are no working also because of T162628: 'Wikidata edits' filter does not recognize registered wikidata users

@Mattflaschen-WMF, I'm sure this is necessary but I don't understand what it's about. As far as I can see, Wikidata already is an option in the Type of Change filter group. What do we still need to accomplish, and what's Blocking us?

Also, is this something we should do before we graduate the filters out of beta?

@Mattflaschen-WMF, I'm sure this is necessary but I don't understand what it's about. As far as I can see, Wikidata already is an option in the Type of Change filter group. What do we still need to accomplish, and what's Blocking us?

Also, is this something we should do before we graduate the filters out of beta?

I think this task itself is done, it's just suffering from two bugs that have been marked as subtasks of this task: T162628: 'Wikidata edits' filter does not recognize registered wikidata users (duped to T51315: [Story] record wikibase recent change entries attributed as non-anon as a pre-existing Wikidata issue) and T158025: Support ORES for propagated Wikidata edits. The former is about the registered/unregistered filters/highlights not working correctly for Wikidata edits, and the latter is about the ORES filters/highlights producing nonsense for Wikidata edits. We worked around the part of the latter by making WD+ORES a conflict state, but that only hides some of the worst of the problem, not even all of it. Things like Newpages+WD+ORES will still give weird results.

As far as I'm concerned, we can separate those bugs from this task and close this task. T162630: 'Wikidata edits' filter with 'Contribution quality prediction' or 'User intent prediction' returns results but the filter selection displayed as a conflict is also a subtask but that one is already fixed as far as I can tell. The registered/unregistered issue already has a patch that Matt has gotten feedback on and is improving, so I think it's worth finishing that patch which will fix that issue. As for the ORES issue, that one is harder, and we could consider dropping that one or prioritizing it less highly. There are some simple hacks we can put in place to hide the issue better (basically, deliberately ignoring ORES scores for WD entries and treating them all as unscored/unscorable).

Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptJul 28 2017, 8:43 PM

What is the status of this task? It may help many communities to review Wikidata edits made on articles they watch (filtered by language would be a great plus).

Zache added a subscriber: Zache.Oct 4 2017, 10:32 AM
Zache added a comment.Oct 4 2017, 10:47 AM

Propagated 'Wikidata edits' with Experience level filters are using local wiki editcount/activity for experience level and so propagated edits are marked as newcomer edits. It would be more useful to use source wikis (eg. Wikidata) editcount/activity for getting the experience level.

Aklapper removed Mattflaschen-WMF as the assignee of this task.Apr 18 2018, 1:51 PM

Removing @Mattflaschen-WMF as task assignee to avoid cookie-licking.
(Matt, if you still like/plan to work on this, feel very welcome to re-claim via your personal Phab account - thanks!)

Jdforrester-WMF closed this task as Resolved.Feb 15 2019, 6:09 PM
Jdforrester-WMF assigned this task to Mattflaschen-WMF.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

I'm marking this as Resolved, per Catrope. T158025 can be done later.